=== debian/changelog ===
safe-iop (0.3.1-3) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team on Salsa
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Use correct machine-readable copyright file URI.
  * Refer to common license file for CC0-1.0.
  * Drop fields with obsolete URLs.

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 16:25:30 +0100

safe-iop (0.3.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1016735)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 07:28:02 -0300

safe-iop (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #790131, #794522)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 03 Aug 2015 11:44:28 +0800
