=== debian/control ===
Source: safe-iop
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/safe-iop
Vcs-Git: https://salsa.debian.org/debian/safe-iop.git

Package: libsafe-iop0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Safe integer operation library for C - Dynamic library
 This library provides a collection of (macro-based) functions for performing
 safe integer operations across platform and architecture with a straightforward
 API.
 .
 This package provides the dynamically linked library. The dynamic library
 supplies a format-string based interface which is in pre-alpha.

Package: libsafe-iop-dev
Section: libdevel
Architecture: any
Depends: libsafe-iop0 (= ${binary:Version}), ${misc:Depends}
Description: Safe integer operation library for C - Development files
 This library provides a collection of (macro-based) functions for performing
 safe integer operations across platform and architecture with a straightforward
 API.
 .
 This package provides the development files for the dynamic library as well as
 the header-only library.
