=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dpkg-gensymbols -plibsafe-iop0 -v0.3.1 -elibsafe_iop.so.0.3 -Odebian/libsafe-iop0.symbols

override_dh_auto_clean:
	rm -f debian/libsafe-iop0.symbols
	dh_auto_clean
